Product comparison · 2 network switches

LogiLink 19" 16-Port Switch vs NETGEAR GSM7328S-200EUS network switch Managed Blue

Add a product
  • 11specifications compared
  • 7differ
  • 4identical
  • 42known for one product only

Key differences

  • Switch type
    • 19" 16-Port Switch:Unmanaged
    • GSM7328S-200EUS network switch Managed Blue:Managed
  • Basic switching RJ-45 Ethernet ports quantity
    • 19" 16-Port Switch:16
    • GSM7328S-200EUS network switch Managed Blue:24
  • Supported data transfer rates
    • 19" 16-Port Switch:10/20/100 Mbit/s
    • GSM7328S-200EUS network switch Managed Blue:10/100/1000 Mbps
  • Maximum data transfer rate
    • 19" 16-Port Switch:0.2 Gbit/s
    • GSM7328S-200EUS network switch Managed Blue:1 Gbit/s
  • Stackable
    • 19" 16-Port Switch:Yes
    • GSM7328S-200EUS network switch Managed Blue:No
  • Product colour
    • 19" 16-Port Switch:Black
    • GSM7328S-200EUS network switch Managed Blue:Blue

Side by side

Differences highlightedShow differences only (on)
Comparison of 19" 16-Port Switch, GSM7328S-200EUS
53 specifications
Management features1 differ
Switch typeDiffersUnmanagedManaged
MIB supportKnown for oneUnknown — not stated by the sourceRFC 854-859, RFC 951, RFC 1213, RFC 1757, RFC 1215, RFC 1493, RFC 1643, RFC 1534, RFC 2131, RFC 2865, RFC 2866, RFC 3580
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers1624
Gigabit Ethernet (copper) ports quantityKnown for oneUnknown — not stated by the source24
SFP module slots quantityKnown for oneUnknown — not stated by the source4
SFP/SFP+ slots quantityKnown for oneUnknown — not stated by the source2
Network1 differ
Copper ethernet cabling technologyDiffers100Base-TX1000BASE-T, 100BASE-TX, 10BASE-T
Port mirroringKnown for oneUnknown — not stated by the sourceYes
IP routingKnown for oneUnknown — not stated by the sourceYes
Link aggregationKnown for oneUnknown — not stated by the sourceYes
Number of VLANsKnown for oneUnknown — not stated by the source4000
Networking standardsKnown for oneIEEE 802.3Unknown — not stated by the source
Full duplexKnown for oneYesUnknown — not stated by the source
Auto MDI/MDI-XKnown for oneYesUnknown — not stated by the source
Broadcast storm controlKnown for oneYesUnknown — not stated by the source
Data transmission2 differ
Supported data transfer ratesDiffers10/20/100 Mbit/s10/100/1000 Mbps
Number of trunksKnown for oneUnknown — not stated by the source6
Number of queuesKnown for oneUnknown — not stated by the source8
Maximum data transfer rateDiffers0.2 Gbit/s1 Gbit/s
Jumbo frames supportKnown for oneUnknown — not stated by the sourceYes
Packet buffer memoryKnown for oneUnknown — not stated by the source256 MB
Store-and-forwardKnown for oneYesUnknown — not stated by the source
Securityidentical
DHCP featuresKnown for oneUnknown — not stated by the sourceDHCP server, DHCP client
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMPv1, v2c, v3, IGMP, DHCP
Data link protocolsKnown for oneUnknown — not stated by the sourceEthernet, Fast Ethernet, Gigabit Ethernet
Supported network protocolsKnown for oneUnknown — not stated by the sourceSNTP, HTTP & HTTPS
Design2 differ
StackableDiffersYesNo
Product colourDiffersBlackBlue
SafetyKnown for oneUnknown — not stated by the sourceCE, EN, UL/cUL, CB, CCC
Performanceidentical
Flash memoryKnown for oneUnknown — not stated by the source32 MB
Firmware upgradeableKnown for oneUnknown — not stated by the sourceYes
Noise levelKnown for oneUnknown — not stated by the source44 dB
Other featuresidentical
LatencyKnown for oneUnknown — not stated by the source6 us
Dimensions (WxDxH)Known for oneUnknown — not stated by the source440 x 391 x 43 mm
Power supplyKnown for oneUnknown — not stated by the source65.64 W
Dimensions (W x D x H) (imperial)Known for oneUnknown — not stated by the source439.4 x 391.2 x 43.2 mm (17.3 x 15.4 x 1.7")
Electromagnetic emissionsKnown for oneUnknown — not stated by the sourceCE, EN, FCC Part 15 Class A, VCCI Class A, C-Tick
Weight (imperial)Known for oneUnknown — not stated by the source6.3 kg (13.9 lbs)
Networking featuresKnown for oneFast EthernetUnknown — not stated by the source
Wi-FiKnown for oneNoUnknown — not stated by the source
Operational conditionsidentical
Operating temperature (T-T)Known for oneUnknown — not stated by the source32 - 132 °F
Storage temperature (T-T)Known for oneUnknown — not stated by the source-20 - 70 °C
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source0 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source0 - 95%
Operating altitudeKnown for oneUnknown — not stated by the source0 - 3000 m
Weight & dimensionsidentical
WeightKnown for oneUnknown — not stated by the source6.3 kg
Certificatesidentical
CertificationKnown for oneFCC, CE, RoHSUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons